!include "nsDialogs.nsh"

Var InstallTypeRadio_NWNDIAMOND
Var InstallTypeRadio_NWNEE

Function Page_GameSelection
  nsDialogs::Create 1018
  Pop $0

  ${NSD_CreateLabel} 0 0 100% 12u "Select your game's version:"
  Pop $1

  ${NSD_CreateRadioButton} 0 20u 100% 10u "Neverwinter Nights Diamond Edition"
  Pop $InstallTypeRadio_NWNDIAMOND

  ${NSD_CreateRadioButton} 0 32u 100% 10u "Neverwinter Nights: Enhanced Edition"
  Pop $InstallTypeRadio_NWNEE

	${NSD_SetState} $InstallTypeRadio_NWNDIAMOND ${BST_CHECKED}

  nsDialogs::Show
FunctionEnd

Function Page_GameSelection_Validation
  ${NSD_GetState} $InstallTypeRadio_NWNDIAMOND $0
  StrCmp $0 ${BST_CHECKED} 0 +3
    StrCpy $INSTALL_TYPE "Diamond"
    Goto end

    StrCpy $INSTALL_TYPE "EE"

end:
  DetailPrint "Game version: $INSTALL_TYPE"
FunctionEnd


; C:\Program Files (x86)\GOG Galaxy\Games\NWN Diamond
; C:\Program Files (x86)\GOG Galaxy\Games\Neverwinter Nights Enhanced Edition